<div class="col-12 sort-wrapper text-right">
  <select class="custom-select w-25" name="SortBy" id="SortBy" data-value="{{ collection.sort_by | default: collection.default_sort_by }}">
    <option selected="">{{ 'collections.sorting.sort_by_title' | t }}</option>
    <option value="price-ascending">{{ 'collections.sorting.price_ascending' | t }}</option>
    <option value="price-descending">{{ 'collections.sorting.price_descending' | t }}</option>
    <option value="created-descending">{{ 'collections.sorting.date_descending' | t }}</option>
    <option value="created-ascending">{{ 'collections.sorting.date_ascending' | t }}</option>
  </select>
</div>


{% comment %} <div class="col-12 sort-wrapper text-right">
  <label for="sort-by">Sort by</label> 
  <select id="sort-by">
    <option value="manual">Featured</option>
    <option value="price-ascending">Price: Low to High</option>
    <option value="price-descending">Price: High to Low</option>
    <option value="title-ascending">A-Z</option>
    <option value="title-descending">Z-A</option>
    <option value="created-ascending">Oldest to Newest</option>
    <option value="created-descending">Newest to Oldest</option>
    <option value="best-selling">Best Selling</option>
  </select>
</div> {% endcomment %}
<script>
Shopify.queryParams = {};
if (location.search.length) {
  for (var aKeyValue, i = 0, aCouples = location.search.substr(1).split('&'); i < aCouples.length; i++) {
    aKeyValue = aCouples[i].split('=');
    if (aKeyValue.length > 1) {
      Shopify.queryParams[decodeURIComponent(aKeyValue[0])] = decodeURIComponent(aKeyValue[1]);
    }
  }
}
jQuery('#sort-by')
  .val('{{ collection.sort_by | default: collection.default_sort_by | escape }}')
  .bind('change', function() {
    Shopify.queryParams.sort_by = jQuery(this).val();
    location.search = jQuery.param(Shopify.queryParams).replace(/\+/g, '%20');
  });




{% comment %} This could be easily implemented with some newer APIs and ES2015 syntax. No need for jQuery: {% endcomment %}

document.querySelector('#sort-by').addEventListener('change', function() {
  const urlSearchParams = new URLSearchParams(window.location.search);

  urlSearchParams.set(this.name, this.value);

  window.location = `?${urlSearchParams}`;
});

</script>